Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.store
Class StoreFactory

    java.lang.Object
      com.hp.hpl.jena.sdb.store.StoreFactory

    public class StoreFactory

extends Object

Construct Stores

Author:
  Andy Seaborne

Constructor Summary
`StoreFactory()`

Method Summary
`static Store` | `create(LayoutType layout, DatabaseType dbType)` Create a store, based on the store description.
`static Store` | `create(SDBConnection sdb, LayoutType layout, DatabaseType dbType)` Create a store, based on connection, layout type and database type.
`static Store` | `create(StoreDesc desc)` Create a store, based on the store description.
`static Store` | `create(StoreDesc desc, SDBConnection sdb)` Create a store, based on the store description and connection.
`static Store` | `create(String filename)` Create a store, based on the store description and connection information read from the file.
`static void` | `register(DatabaseType dbType, LayoutType layoutType, StoreMaker factory)` Register a new store maker for a given database/layout pair.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StoreFactory

    public StoreFactory()

Method Detail

### create

    public static Store create(String filename)

  Create a store, based on the store description and connection information read from the file.

  Parameters:
    `filename` -
  Returns:
    Store

### create

    public static Store create(SDBConnection sdb,
                               LayoutType layout,
                               DatabaseType dbType)

  Create a store, based on connection, layout type and database type.

  Parameters:
    `sdb` -
    `layout` -
    `dbType` -
  Returns:
    Store

### create

    public static Store create(LayoutType layout,
                               DatabaseType dbType)

  Create a store, based on the store description. The store description must include connection details if to be used to actually connect.

### create

    public static Store create(StoreDesc desc)

  Create a store, based on the store description. The store description must include connection details if to be used to actually connect.

### create

    public static Store create(StoreDesc desc,
                               SDBConnection sdb)

  Create a store, based on the store description and connection.

### register

    public static void register(DatabaseType dbType,
                                LayoutType layoutType,
                                StoreMaker factory)

  Register a new store maker for a given database/layout pair. Overwrites any previous StoreMaker for this pair. Only used when adding a new database or layout - the standard ones are automatically registered.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.